- Qt 5.15
- Qt Sensors
- C++ Classes
- QTapSensor
- Qt 5.15.19 Reference Documentation

# QTapSensor Class

The QTapSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QTapSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- returnDoubleTapEvents : bool

## Public Functions

| QTapSensor(QObject *parent = Q_NULLPTR)
virtual | ~QTapSensor()
QTapReading * | reading() const
bool | returnDoubleTapEvents() const
void | setReturnDoubleTapEvents(bool returnDoubleTapEvents)

## Signals

void | returnDoubleTapEventsChanged(bool returnDoubleTapEvents)

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QTapReading instead of a QSensorReading.

For details about how the sensor works, see QTapReading.

See also QTapReading.

## Property Documentation

### returnDoubleTapEvents : bool

This property holds a value indicating if double tap events should be reported.

Set to true (the default) to have the sensor report only on double tap events. Set to false to have the sensor report only on individual tap events.

It is not possible to have the sensor report both single and double tap events. If both are needed the app should create 2 sensor objects.

The property must be set before calling start().

Access functions:

bool | returnDoubleTapEvents() const
void | setReturnDoubleTapEvents(bool returnDoubleTapEvents)

Notifier signal:

void | returnDoubleTapEventsChanged(bool returnDoubleTapEvents)

## Member Function Documentation

### QTapSensor::QTapSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QTapSensor::~QTapSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QTapReading *QTapSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().